be.fgov.ehealth.certra.protocol.v2

## Class GetCertificateInfoForAuthenticationCertificateResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.certra.protocol.v2.GetCertificateInfoForAuthenticationCertificateResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:07:21+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetCertificateInfoForAuthenticationCertificateResponse
      extends StatusResponseType
      implements Serializable

  Contains information about the eHealth authentication certificate and encryption token that the user requested in their request.

  Java class for GetCertificateInfoForAuthenticationCertificateResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetCertificateInfoForAuthenticationCertificateResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <element name="CertificateInfo" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateInfoType"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCertificateInfoForAuthenticationCertificateResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateInfoType` | `getCertificateInfo()` Gets the value of the certificateInfo property.
    `void` | `setCertificateInfo(CertificateInfoType value)` Sets the value of the certificateInfo property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCertificateInfoForAuthenticationCertificateResponse

          public GetCertificateInfoForAuthenticationCertificateResponse()

  - ### Method Detail

    - #### getCertificateInfo

          public CertificateInfoType getCertificateInfo()

      Gets the value of the certificateInfo property.
      Returns:
        possible object is `CertificateInfoType`

    - #### setCertificateInfo

          public void setCertificateInfo(CertificateInfoType value)

      Sets the value of the certificateInfo property.
      Parameters:
        `value` - allowed object is `CertificateInfoType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.